Open an outpatient visit
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_id": 123,
"clinic_id": 123,
"patient_coverage_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({patient_id: 123, clinic_id: 123, patient_coverage_id: 123})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits"
payload = {
"patient_id": 123,
"clinic_id": 123,
"patient_coverage_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Staff outpatient visits
Open an outpatient visit
POST
/
outpatient-visits
Open an outpatient visit
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_id": 123,
"clinic_id": 123,
"patient_coverage_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({patient_id: 123, clinic_id: 123, patient_coverage_id: 123})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits"
payload = {
"patient_id": 123,
"clinic_id": 123,
"patient_coverage_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Resource returned.